%define name roundcube-plugin-fail2ban
%define version 1.4
%define release 1
Summary: Provides context Menu to Roundcube.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
#https://github.com/corbosman/fail2ban
Source: roundcube-fail2ban-%{version}.tar.gz
License: GNU General Public License Version 3+
Group: SMEserver/addon
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildArchitectures: noarch
BuildRequires: smeserver-devtools
Requires: smeserver-release >= 11.0
AutoReqProv: no

%description
Roundcube Webmail is a browser-based multilingual IMAP client with an
application-like user interface.  It provides full functionality
expected from an e-mail client, including MIME support, address book,
folder manipulation and message filters.

RoundCube Fail2Ban Plugin is a small plugin that will display a failed login attempts in your syslog or userlogins log file. Using this information Fail2Ban will be able to block a user for a set amount of time. The best part, the block is happening at the IP level and blocks the IP address, not the user they are trying to log in as.

This plugin does not install or run Fail2Ban, but only provides the program with the needed log entries. Fail2Ban has to be installed and configured independent of this plugin so that it watches Roundcube's logs for failed logins.

%changelog
* Wed Sep 11 2024 Jean-Philippe Pialasse <jpp@koozali.org> 1.4-1.sme
- initial release for SME 11

%prep

%setup -q -n roundcube_fail2ban-%{version}

%build
#perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/roundcubemail/plugins/fail2ban/
( find . -depth -print | cpio -dump $RPM_BUILD_ROOT/usr/share/roundcubemail/plugins/fail2ban/)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
> %{name}-%{version}-filelist
#echo "%doc COPYING"  >> %{name}-%{version}-filelist
#--dir <dir> 'attr(755,user,grp)' \
#--file <file> 'attr(755,root,root)' \

%clean
cd ..
rm -rf roundcube-fail2ban-%{version}

%pre

%preun

%post

%postun
#uninstall
%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
